/*
 * YACA : Yet Another Contact Application 
 * by PhilFlash - http://philflash.inway.fr
 *
 */
 
import mx.lang.Locale;

class MyLocale extends mx.lang.Locale {

	static function start():Void {	
		var langCode:String = xmlLang;
		if(xmlMap[xmlLang] == undefined) {
			langCode = defaultLang;
		}

		currentXMLMapIndex = 0;
		xmlDoc.load(xmlMap[langCode][0]);
	}
	

	static function setXMLLang(langCode:String):Void {
		xmlLang = langCode;
	}
	
	static function getString(myID:String):String {
		for(var i:Number = 0; i < delayedInstanceArray.length; i++) {
			if(delayedInstanceArray[i] != undefined) {
				var stringID:String = delayedInstanceArray[i].strID;
				if (stringID == myID) {
					var instance:Object = delayedInstanceArray[i].inst;
					return instance.text;
				}
			}
		}
		return "";
	}
	
}
