/*
 * YACA : Yet Another Contact Application 
 * by PhilFlash - http://philflash.inway.fr
 *
 */

import MyLocale;
import mx.controls.Button;

class StartForm extends mx.screens.Form {

	public var startButton:Button = null;
	public var flag_en:MovieClip = null;
	public var flag_fr:MovieClip = null;
	
	private var langHandler:Object;
	
	// Constructor
	public function StartForm() {}
	

	public function init():Void {
		super.init();
		addEventListener("load", onLoad);
	}
	
	public function onLoad( obj:Object ):Void {
		startButton.addEventListener("click", function(evt:Object) { evt.target._parent.startAction(evt); } );		

		flag_en.onRelease = function() { this._parent.changeLang(this); }
		flag_fr.onRelease = function() { this._parent.changeLang(this); }		
	}
	
	public function startAction(eventObj:Object):Void {
		// Trigger Data Source Behavior
		(rootForm).contact_con.trigger();
	
		setVisible(false);
		// Show Screen listcontact
        (rootForm).listcontact.setVisible(true);
	}
	
	// -----  -----
	public function changeLang(target:Object):Void {
		if (target == flag_en) {
			MyLocale.setXMLLang("en");
			MyLocale.start();
		} 
		else if (target == flag_fr) {
			MyLocale.setXMLLang("fr");
			MyLocale.start();
		} 
	}
	
	public function refreshLangForComponents():Void {
		startButton.label = MyLocale.getString("IDS_START");
	}

}
    